summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2017-06-23 12:14:44 +0300
committerEray Aslan <eras@gentoo.org>2017-06-23 12:14:44 +0300
commit6e0a8ece544373196587ff3e159687428a2b4ee9 (patch)
tree08f5088d8a7d1cc447334c3e2419bf43c579d88a /mail-client/cone
parentnet-misc/hotot: amd64 stable wrt bug #608606 (diff)
downloadgentoo-6e0a8ece544373196587ff3e159687428a2b4ee9.tar.gz
gentoo-6e0a8ece544373196587ff3e159687428a2b4ee9.tar.bz2
gentoo-6e0a8ece544373196587ff3e159687428a2b4ee9.zip
mail-client/cone: bump to 0.95
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'mail-client/cone')
-rw-r--r--mail-client/cone/Manifest1
-rw-r--r--mail-client/cone/cone-0.95.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/mail-client/cone/Manifest b/mail-client/cone/Manifest
index 5f54b566b64..18dd1b25b43 100644
--- a/mail-client/cone/Manifest
+++ b/mail-client/cone/Manifest
@@ -1,3 +1,4 @@
DIST cone-0.89.tar.bz2 3794802 SHA256 71678cb2a95cd02ce2c734549dee9c542e29c3a29c376b64884022febb0d3fba SHA512 86f9842381702b05446e62f5933bd080b931018f2a7136169fc7a5da1d601f108e83cc6509bc0f0ad53f374df25a45ab68bac38274e4df1f5e40ee04124ada3b WHIRLPOOL de8b3fda5f2eda359260153310364e160f22f26da5feee183370bf0f55ad67ceb587a6d1075bbe72488c84e199b86612d4157f0cbeae5309a4fb3d85096170be
DIST cone-0.90.tar.bz2 3906323 SHA256 b03edfbf3392fb7b8d93574dad2bc4c7cbfca8890afabac8b99b21a9f46d8733 SHA512 6446f868e07a54bda074e403ce48d590a55e97cf25b7e6172ba02df1242a232ade52840a837dd92e70253159cc637c17876876db01445c60374152262329ae27 WHIRLPOOL 30f07794b712650bf2b5715aca912b34471f89cd812ce2a45c7b352c8bca392625c91a74d65917506a8f80e6255534f5ae4ebaa05b269745f1b2bc16c593d838
DIST cone-0.92.tar.bz2 3774451 SHA256 bfc1170565d931ac9b8a674410f44cb2472c7b755b5bb97e9915d37fdfe9d631 SHA512 8d764ed3cb2a22caff21d11beff74131fdbbe0f66dbf1a40293f62862e9af7a472840ff00a069df10143f7154c2db85ac5421999476516f27b8f090e5c1232fc WHIRLPOOL 8520d2b07aaf4d03b4055672fbc8c29b0e50ab2053672187853b9b2f3dfd261cd9e858543b62644aae16504ade70b782d1d85e47f5dd562b754d2be62bc7bc06
+DIST cone-0.95.tar.bz2 3748331 SHA256 ae31dddd4f64c50397cae2706ae4505a2df8aafdde2a73bffe08c2362615c89b SHA512 545d17286b937eb33b5fa14c36a480eea0146802f6c8a36e55987206b125bac55b25ab79a4c833ffa1fdcdbe56b2949acd5c8bdfd27c900bf64d5e738677ef4a WHIRLPOOL 6acd7f53d6e749864362096c5ce2703bea617be1a6dcb955979188d13674ac345b58e56cd4836b3d345f79a80e9a1777553b7d405899aa6256b04d58bd1a4882
diff --git a/mail-client/cone/cone-0.95.ebuild b/mail-client/cone/cone-0.95.ebuild
new file mode 100644
index 00000000000..6cd1e1d5ba5
--- /dev/null
+++ b/mail-client/cone/cone-0.95.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils autotools
+
+DESCRIPTION="CONE: COnsole News reader and Emailer"
+HOMEPAGE="http://www.courier-mta.org/cone/"
+SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="crypt fam gnutls idn ipv6 ldap"
+
+RDEPEND=">=dev-libs/openssl-0.9.6:*
+ dev-libs/libxml2
+ sys-libs/ncurses:=
+ >=net-libs/courier-unicode-1.2
+ app-text/aspell
+ crypt? ( >=app-crypt/gnupg-1.0.4 )
+ fam? ( virtual/fam )
+ gnutls? ( net-libs/gnutls )
+ idn? ( net-dns/libidn )
+ ipv6? ( net-dns/libidn )
+ ldap? ( net-nds/openldap )"
+DEPEND="${RDEPEND}
+ dev-lang/perl"
+
+src_prepare() {
+ # move local macro to m4 and run eautoreconf
+ mkdir "${S}/m4"
+ sed -n -e '/# AC_PROG_SYSCONFTOOL/,+33 p' "${S}"/aclocal.m4 > \
+ m4/sysconftool.m4 || die
+ sed -i -e '/^SUBDIRS/i ACLOCAL_AMFLAGS = -I m4' "${S}"/Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --with-spellcheck=aspell \
+ $(use_with ldap ldapaddressbook) \
+ $(use_with gnutls) \
+ $(use_with idn libidn) \
+ $(use_with ipv6)
+}
+
+src_install() {
+ default
+ emake DESTDIR="${D}" install-configure
+}